AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- SumerianSceneComponent

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- componentHost
- framework
- sceneName

### Methods

- loadComponent
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new SumerianSceneComponent(componentFactoryResolver: ComponentFactoryResolver): SumerianSceneComponent

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:30

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  #### Returns SumerianSceneComponent

## Properties

### componentHost

componentHost: DynamicComponentDirective

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:30

### framework

framework: string

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:28

### sceneName

sceneName: string

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:29

## Methods

### loadComponent

- loadComponent(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:40

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:38

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene.factory.ts:34

  #### Returns void